GET /v1/organizations/{orgId}/wallets
List all wallets for an organization with pagination
GET
/v1/organizations/{orgId}/wallets
List all wallets for an organization with pagination
Path Parameters
orgId
string
required
path
Organization ID
Query Parameters
limit
integer
optional
query
Limit (default 20, max 100)
offset
integer
optional
query
Offset (default 0)
Responses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
accountType
string
address
string
createdAt
integer
id
string
isDefault
boolean
isImported
boolean
name
string
organizationId
string
providerType
string
updatedAt
integer
limit
integer
offset
integer
message
string
requestId
string
400
Bad Request
401
Unauthorized
500
Internal Server Error
curl -X GET 'https://api.example.com/v1/organizations/string/wallets' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/string/wallets', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/wallets', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/wallets", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "hasMore": true, "items": [ { "accountType": "<string>", "address": "<string>", "createdAt": 123, "id": "<string>", "isDefault": true, "isImported": true, "name": "<string>", "organizationId": "<string>", "providerType": "<string>", "updatedAt": 123 } ], "limit": 123, "offset": 123 }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/organizations/{orgId}/wallets
